# InvalidSlotC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`

Include dependency graph for InvalidSlotC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | PortableInterceptor
namespace | TAO

## Classes

exception | PortableInterceptor::InvalidSlot

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _PORTABLEINTERCEPTOR_INVALIDSLOT_CH_

## Functions

TAO_Export void | operator<<= (CORBA::Any &, const PortableInterceptor::InvalidSlot &)
TAO_Export void | operator<<= (CORBA::Any &, PortableInterceptor::InvalidSlot *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, PortableInterceptor::InvalidSlot *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const PortableInterceptor::InvalidSlot *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const PortableInterceptor::InvalidSlot &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableInterceptor::InvalidSlot &)

## Define Documentation

#define _PORTABLEINTERCEPTOR_INVALIDSLOT_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const PortableInterceptor::InvalidSlot & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | PortableInterceptor::InvalidSlot * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const PortableInterceptor::InvalidSlot & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableInterceptor::InvalidSlot & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const PortableInterceptor::InvalidSlot *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | PortableInterceptor::InvalidSlot *& |
| ) |